export const commonMethods = {
    methods: {
        getMind(row,val){//val为数据类型，1为产品类别，2为产品
            row.type = val
            this.$s.setSession('mindRow',row)
            const router = this.$router.resolve({
                  path: '/mindIndex',
              })
            window.open(router.href, '_blank');
          },
          showTrend(row,val){//val为数据类型，1为产品类别，2为产品
            const router = this.$router.resolve({
                path: '/chartIndex',
                query:{
                    id:row.id,
                    type:val,
                    name:row.productCategoryName || row.productName
                }
            })
            window.open(router.href, '_blank');
          }
    },
}